CS::Physics::Bullet::iBody Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Physics::Bullet::iBody Struct Reference

A generic body in Bullet's dynamic simulation. More...

`#include <ivaria/bullet.h>`

Inheritance diagram for CS::Physics::Bullet::iBody:

List of all members.

## Public Member Functions
virtual BodyType | GetType () const =0
| Return the type of this body.
virtual ::iRigidBody * | QueryRigidBody ()=0
| Query the iRigidBody interface of this body.
virtual iSoftBody * | QuerySoftBody ()=0
| Query the CS::Physics::Bullet::iSoftBody interface of this body.
virtual iTerrainCollider * | QueryTerrainCollider ()=0
| Query the CS::Physics::Bullet::iTerrainCollider interface of this body.

## Detailed Description

A generic body in Bullet's dynamic simulation.

Definition at line 66 of file bullet.h.

## Member Function Documentation

virtual BodyType CS::Physics::Bullet::iBody::GetType | ( |  | ) | const`[pure virtual]`

Return the type of this body.

virtual ::iRigidBody* CS::Physics::Bullet::iBody::QueryRigidBody | ( |  | ) | `[pure virtual]`

Query the iRigidBody interface of this body.

It returns null if the interface is not valid, ie GetType() is not CS::Physics::Bullet::RIGID_BODY.

virtual iSoftBody* CS::Physics::Bullet::iBody::QuerySoftBody | ( |  | ) | `[pure virtual]`

Query the CS::Physics::Bullet::iSoftBody interface of this body.

It returns null if the interface is not valid, ie GetType() is not CS::Physics::Bullet::SOFT_BODY.

virtual iTerrainCollider* CS::Physics::Bullet::iBody::QueryTerrainCollider | ( |  | ) | `[pure virtual]`

Query the CS::Physics::Bullet::iTerrainCollider interface of this body.

It returns null if the interface is not valid, ie GetType() is not CS::Physics::Bullet::TERRAIN.

The documentation for this struct was generated from the following file:

- ivaria/bullet.h